debhelper (14.3ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives,
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jul 2026 13:37:01 +0200

debhelper (14.3) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_shlibdeps: fix off-by-one in compat check and migrate
    to `dpkg`'s `--package` option. Thanks to Sven Joachim <svenjoac@gmx.de>
    (Closes: #1141433)
  * debhelper.pod: Explicitly mention that a global `DH_COMPAT` is not
    recommended. Thanks to Nilesh Patra <nilesh@debian.org>

  [ Johannes Schauer Marin Rodrigues ]
  * Test autoscripts templates with shellcheck in `debhelper`'s own
    test suite

 -- Niels Thykier <niels@thykier.net>  Sun, 05 Jul 2026 09:47:44 +0000

debhelper (14.2ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives,
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jun 2026 09:15:44 +0200

debhelper (14.2) unstable; urgency=medium

  [ Adrian Bunk ]
  * upgrade-checklist: Remove remnants of the reverted pam change
  * upgrade-checklist: Remove comment regarding pre-stable compat 14

  [ Luca Boccassi ]
  * dh_installsystemd: also add tmpfiles deps in compat 12
    (Closes: #1140654)

 -- Niels Thykier <niels@thykier.net>  Wed, 24 Jun 2026 15:30:16 +0000

debhelper (14.1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives,
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jun 2026 12:48:11 +0200

debhelper (14.1) unstable; urgency=medium

  * dh_installpam: Revert compat 14 change at request of the `pam`
    maintainers.  (Closes: #1140119)

 -- Niels Thykier <niels@thykier.net>  Tue, 16 Jun 2026 18:44:38 +0000

debhelper (14.0) unstable; urgency=medium

  * d/changelog:
    - Move an attribution to the correct author for 13.32
    - some lines to avoid too long line warnings
  * Remove noise from lintian about `alien-tag
  * Fix a bug where `debian/compat` was rejected in compat 13 and
    older when compat 14 was stable.
  * Declare compat 14 as stable

 -- Niels Thykier <niels@thykier.net>  Sun, 14 Jun 2026 09:21:22 +0000

debhelper (13.32) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * autoscripts: enable update-rc.d and deb-systemd-helper with $DPKG_ROOT
  * autoscripts/postrm-systemd{,-user}: stop testing for deb-systemd-helper
  * autoscripts/postinst-systemd-restart: do not do a daemon-reload when
    DPKG_ROOT is non-empty.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * dh_installtmpfiles: reproducible tmpfiles order for postrm scripts

  [ Miao Wang ]
  * filedoublearray: do not resolve symlink when converting to absolute paths

  [ Niels Thykier ]
  * dh_clean: remove obsolete `compat` check
  * dh_installdocs: Remove mention of where doc-base files are installed.
    Thanks to Jay Burstin <jayburstinau@gmail.com> (Closes: #1138620)
  * Dh_Lib.pm: Fix a (consistent) typo in a var name and fix some state
    resetting.
  * upgrade-checklist: Avoid implying `X-DH-Compat` is the new default.
    (Closes: #1133679)

  [ Dorle Osterode ]
  * Fix doubling of word in man page
  * Fix meaning of "ahead of time"

  [ Nilesh Patra ]
  * Fix header for `dh_computeautosubstvars`
  * dh_computeautosubstvars: process next package instead of returning in
    parallel build
  * Do not compute `Commands` for `udeb` (Closes: #1136120)

  [ Charles Plessy ]
  * Do not compress R data files.

  [ Helmut Grohne ]
  * autoconf: export standard build tools
  * Add function get_build_tools to Dh_Lib.

  [ Américo Monteiro ]
  * Update on Portuguese translation of the man pages (Closes: #1132737)

  [ Luca Boccassi ]
  * dh_installsystemd: Remove note that `tmpfiles.d` is for `systemd`-only
  * dh_installtmpfiles: add dependency on tmpfiles implementation
  * dh_installtmpfiles: Remove note that `tmpfiles.d` is for `systemd`-only
    (Closes: 1134898)

  [ Sandro Knauß ]
  * Document dh_qmldeps changes with v14.  (Closes: #1133692)

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jun 2026 11:44:59 +0000

debhelper (13.31ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives,
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2026 08:59:48 +0100

debhelper (13.31) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Add new `parse-dh-cli-args` subcommand
  * dh: Fix description of the `dwz` add-on
  * dh_clean: do not require `/` for symlinks to directories.
    Thanks to David Prévot <taffit@debian.org> (Closes: #1128894)
  * dh_installchangelogs: Require all changelog dates seen to be valid.
    Previously, we would allow invalid dates and that causes problems.
    With this change, we now require the dates to be valid. This may
    bring some invalid entries out in the open in the form of FTBFS
    bugs. These were always bugs and how we flag them.
    (Closes: #1128372)

  [ Luca Boccassi ]
  * dh_installinit/dh_installsystemduser: stop adding dependencies
    satisfied since bullseye/jammy

  [ Nilesh Patra ]
  * Update cutoff date in dh_installchangelogs to Bookworm release date
  * Do not install NEWS entries beyond cutoff-date (Closes: #1128414)

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Feb 2026 19:21:19 +0000

debhelper (13.30) unstable; urgency=medium

  [ Luca Boccassi ]
  * dh_installsystemd[user]: ensure excluded units via -X do not get
    processed due to `Also=`

  [ Niels Thykier ]
  * dh_clean: Catch missing trailing `/` on directories
  * d/control: Drop unnecessary `Priority: optional`
  * dh_installchangelogs: Keep more entries if timestamp cannot be parsed
    (Closes: #1126043)

  [ Américo Monteiro ]
  * Update on Portuguese translation of the man pages (Closes: #1124415)

 -- Niels Thykier <niels@thykier.net>  Sun, 15 Feb 2026 10:48:53 +0000

debhelper (13.29) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Improve build system detection for compat checklist
  * debhelper.pod: Provide on placement of the `#DEBHELPER#` token
    (Closes: #1037204)

  [ Alexandre Detiste ]
  * remove transitional, virtual dh-buildinfo Provides:

  [ Guillem Jover ]
  * Pass also filename to Dpkg::Changelog::Parse::changelog_parse()

  [ Peter Pentchev ]
  * Actually add Multi-Arch: same to -dbgsym packages (Closes: #1121566)

  [ Holger Wansing ]
  * de.po: Fix some minor issues with the German translation (Closes: #1118413)

  [ Américo Monteiro ]
  * Update on Portuguese translation of man page (Closes: #1118373)

 -- Niels Thykier <niels@thykier.net>  Sat, 13 Dec 2025 12:21:15 +0000

debhelper (13.28ubuntu2) resolute; urgency=medium

  * Dh_Lib.pm: fix warnings from new dpkg. (LP: #2142919)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 27 Feb 2026 19:59:35 -0500

debhelper (13.28ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives,
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 07 Nov 2025 14:22:19 +0100

debhelper (13.28) unstable; urgency=medium

  [ Niels Thykier ]
  * Add support for `X-Doc-Main-Package` field
  * dh_assistant: Fix `--target-compat` not supporting experimental
    compat levels.
  * debhelper.pod: Clarify subst limit is per token
  * dh_assistant: Fix formatting for upgrade checklist

  [ Johannes Schauer Marin Rodrigues ]
  * dh_missing: do not give suggestions about equivalent paths

 -- Niels Thykier <niels@thykier.net>  Fri, 26 Sep 2025 18:25:49 +0000

debhelper (13.27) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Dh_Buildsystems.pm: add `fortran` as 3rd party buildsystem.

  [ Niels Thykier ]
  * dh_assistant: Document `none` as output of `which-build-system`
  * single-binary: Recommend `debputy` to migrate config files in c14
  * Mention `debputy` auto-migration in upgrade checklist for c14
  * Dh_Lib.pm: Use `cp --update=none` instead `-n` (Closes: #1061610)
  * Remove the `qmake-qt4` build system as it had no users remaining
    (Closes: #1077604)
  * Dh_Lib.pm: Prettify some shell escapes to make them easier to read
  * dh_md5sums: Remove `-x` / `--include-conffiles`. It was never the
    correct thing to do and the option(s) had no users according to
    codesearch.d.n.

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Sep 2025 09:32:06 +0000

debhelper (13.26) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: List files with unclear config file state
  * dh_assistant: Provide tool-assistance migration hints for compat upgrades
  * Regenerate POT and PO files

  [ Américo Monteiro ]
  * Updated Portuguese translation for debhelper's man page (Closes: #1111112)

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Aug 2025 07:45:40 +0000

debhelper (13.25) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper-documentation.json: Correct command for `.ucf` files
  * dh: Support `DH_OVERRIDDEN_COMMAND` variable for `override` targets
    for cases where the original command is useful as a base.
  * debhelper.pod: Update description on automated dependencies
  * dh_gencontrol: Fix off-by-one compat guard affecting compat 14.
  * In compat 14: Add `Commands` field to binaries to aid `command-not-found`
    (Closes: #638517)
  * dh_assistant: Explicitly use `JSON::PP::{true,false}`
  * dh_assistant: Provide a compat upgrade checklist when upgrading from
    compat 7 and on. This can be done via the command
    `dh_assistant compat-upgrade-checklist`.
  * No longer run `dh_dwz` by default in compat 14+ (Closes: 1016563)

  [ Andrea Pappacoda ]
  * dh_installmodules: install .modprobe files in /usr/lib with compat 14+
    (Closes: #1107373)

  [ Alexandre Detiste ]
  * dh_assistant: Improve wording

  [ Noah Meyerhans ]
  * dh_installsystemd: Always stop the service on remove (Closes: #1079181)

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Aug 2025 06:51:00 +0000

debhelper (13.24.2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110955). Remaining changes:
    - t/size.t: allow dh_strip to be larger for the tests
    - dh_strip: set a unique build-id before stripping files
    - d/control: add debugedit dependency for setting build-id
    - l/D/D/Dh_Lib.pm: imply "<!noudeb>" profile if not set on package type udeb
    - dh_strip: test for non-empty .text sections in static archives, 
      warn if the section is non-empty.
    - d/control: add mawk dependency for the .text section check
    - dh_strip: strip LTO sections unless --keep-lto is given
    - dh_installchangelogs: do not install upstream changelog in compat level
      7, which avoids pointlessly bloating installed packages.
    - l/D/D/Dh_Lib.pm: generate ddebs from debhelper instead of pkg-create-dbsym
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - man: update man-files
      + Added sections for --keep-lto.
      + Removed the sections about dh_installchangelog installing upstream 
        changelogs.
      + Refreshed line numbers.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 22 May 2025 16:03:30 -0700

debhelper (13.24.2) unstable; urgency=medium

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1094029)

  [ Américo Monteiro ]
  * Update on Portuguese translation of man pages (Closes: #1100357)

 -- Niels Thykier <niels@thykier.net>  Sat, 29 Mar 2025 06:16:14 +0000

debhelper (13.24.1ubuntu2) plucky; urgency=medium

  * Make dh_installchangelogs executable again.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 02:04:38 -0600

debhelper (13.24.1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 22:36:09 -0600

debhelper (13.24.1) unstable; urgency=medium

  [ Simon McVittie ]
  * Fix regression when running 'meson test' (Closes: #1093436)

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Jan 2025 07:56:09 +0000

debhelper (13.24) unstable; urgency=medium

  [ Xiyue Deng ]
  * Add CHANGELOG.org as a supported type of changelog (Closes: #1090956)
  * Update dh_installchangelogs doc regarding support for org mode

  [ Gioele Barabucci ]
  * autoscripts: Assume DPKG_ROOT is set but possibly empty

  [ Christoph Brinkhaus ]
  * Update German translation of manpages (Closes: #1091005)
  * debhelper-compat-upgrade-checklist.pod: Fix typo

  [ Jeremy Bícha ]
  * meson.pm: pass --verbose to meson test (Closes: #1090846)

  [ Niels Thykier ]
  * dh_installsystemd: Respect -n/--no-scripts.
    Thanks to Andreas Metzler <ametzler@bebt.de> (Closes: #1043063)

 -- Niels Thykier <niels@thykier.net>  Sat, 18 Jan 2025 14:39:41 +0000

debhelper (13.23ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jan 2025 14:14:58 -0600

debhelper (13.23) unstable; urgency=medium

  * makefile.pm: Preserve return value from `sub install`

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Dec 2024 11:12:36 +0000

debhelper (13.22) unstable; urgency=medium

  * Bring back the python-distutils build-system. It is clearly
    used given removing it caused 200+ FTBFS bugs. Hoever, it is
    also clearly not used (becuase using it would cause FTBFS
    bugs). Instead packages seem to just override all the
    `dh_auto_*` commands and what breaks with the full removal
    is that `dh` cannot find the build system.
    (Reopens: #1089715)

 -- Niels Thykier <niels@thykier.net>  Wed, 18 Dec 2024 07:22:15 +0000

debhelper (13.21) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installlog{check,rotate}: Re-added `named` `pkgfile`s in
    compat 14+
  * Dh_Lib.pm: Recognize `!=` substvars.
    Thanks to Guillem Jover <guillem@debian.org>
  * Revert "dh_installsysusers: Temporarily add opensysusers
    alternative". The work around is no longer needed. Thanks
    to Samuel Thibault <sthibault@debian.org>.
  * Fix some typos and formatting issues in man pages.
    Thanks to Christoph Brinkhaus <c.brinkhaus@t-online.de>
    (Closes: #1083170)
  * Fix typo of `dh_gencontrol` in man page
  * Remove the defunct python-distutils build-system retroactively.
    Thanks to Colin Watson <cjwatson@debian.org> (Closes: #1089715)
  * dh_fixperms: Remove `exec` bit from files in `/usr/share/themes`
  * Replace `dh-buildinfo` without the `dh_buildinfo` to ease transition.
    As requested in #1068809, `debhelper` will temporarily provide
    `dh-buildinfo` with relevant `Conflicts` and `Replaces` to ensure
    apt can find a solution. The provides is only on a metadata level,
    since most packages no longer use `dh_buildinfo` directly or cope
    gracefully with its removal. A few packages are expected to break,
    which will be cleaned up by people who volunteered in #1068809.
    If your package starts to FTBFS as a consequence of this change,
    please remove the call to `dh_buildinfo`.
    See: #1068809
  * dh_auto_install: Ensure sane minimum mode in destdir [c14]
    (Closes: #1082724)

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1083169)

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Dec 2024 12:14:25 +0000

debhelper (13.20ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 11:13:57 -0500

debhelper (13.20) unstable; urgency=medium

  [ Samuel Thibault ]
  * dh_installsysusers: Temporarily add opensysusers alternative.
    (See #1076045)

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Aug 2024 08:06:37 +0000

debhelper (13.19) unstable; urgency=medium

  * Fix regression in pkgfile where compat 14 semantics were always active.
    Thanks to Salvatore Bonaccorso <carnil@debian.org>
  * dh_lintian: Reject architecture specific overrides files for M-A: same [c14]
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #1078830)

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Aug 2024 08:15:14 +0000

debhelper (13.18ubuntu2) oracular; urgency=medium

  * dh_installlogrotate: Re-added 'named' pkgfile's in compat 14+ to
    enable --name for log rotate.
    (LP: #2077407)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 11 Sep 2024 00:21:43 -0700

debhelper (13.18ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add mawk dependency implied by empty .text section check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 17:38:03 -0400

debhelper (13.18) unstable; urgency=medium

  * perl_makemaker: Fix missing import that broke cross-builds.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1078707)
  * perl-build: Set PKG_CONFIG during cross builds like perl-makemaker.
    Thanks to gregor herrmann <gregoa@debian.org>

 -- Niels Thykier <niels@thykier.net>  Wed, 14 Aug 2024 20:27:05 +0000

debhelper (13.17) unstable; urgency=medium

  [ Américo Monteiro ]
  * Update on Portuguese translation of man pages

  [ Niels Thykier ]
  * Reorder default sequence around dh_fixperms and nearby tools in
    compat 14. (Closes: #981783, #982457). This should also avoid
    future issues like LP#1928381 where Ubuntu's modifications to
    `dh_strip` cause differences not visible in Debian.
  * dh_assistant: Fix bug the config introspection could be wrong.
  * debhelper-documentation.json: Associate with `substvars` with
    `dh_gencontrol`.
  * Add some config hints to `dh_makeshlibs` and `dh_gencontrol`.
  * Bump Standards-Version to 4.7.0 - no changes required
  * Dh_Lib.pm: Change `pkgfile` lookup to have opt-in features
    rather than always-on in compat 14. Third-party debhelper tools
    should update their `pkgfile` calls if they need `named` or/and
    architecture specifc configuration files.
  * Set PKG_CONFIG when calling Makefile.pl (makemaker) if not already set
  * Make `dh_auto_install --destdir` change a pure compat 14 change.
    Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
    (Closes: #1074322)

  [ Jean-Pierre Giraud ]
  * Update French manpage translation

  [ Helmut Grohne ]
  * cmake.pm: Also pass pkg-config via environment (Closes: #1077673)

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Aug 2024 12:21:03 +0000

debhelper (13.16ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jun 2024 10:08:57 +0200

debhelper (13.16) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_assistant: Clearly mark unsafe commands
  * d/changelog: Fix typos in historical entries
  * Migrate to `X-Style: black`
  * dh_assistant.1: Improve documentation and command tagging
  * Improve wording of several man pages.
    Thanks to Christoph Brinkhaus <c.brinkhaus@t-online.de> (Closes: #1069176)
  * Require a package prefix with `--name` in c15 (warning in c14)
  * dh_assistant: Report data about disabled commands in some subcommands.
    This breaks a small subset of the `dh-debputy` features and a related
    `Breaks` has been added.

  [ Peter Pentchev ]
  * Fix a "comat" -> "compat" typo in _load_compat_info()

  [ Luca Boccassi ]
  * dh_installtmpfiles: implement remove on removal, purge on purge

  [ Christoph Brinkhaus ]
  * Update German translation of man pages (Closes: #1069176)

 -- Niels Thykier <niels@thykier.net>  Mon, 17 Jun 2024 16:00:40 +0000

debhelper (13.15.3ubuntu2) oracular; urgency=medium

  * Revert objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
      (LP: #1938886) looks now fixed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jun 2024 19:39:58 +0200

debhelper (13.15.3ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply "<!noudeb>" profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 09:40:01 -0500

debhelper (13.15.3) unstable; urgency=medium

  * debhelper-compat-upgrade-checklist.pod: Fix repeated substvar.
    Thanks to Andrey Rakhmatullin
  * debhelper-compat-upgrade-checklist.pod: Add ref to #1067653
  * dh_gencontrol: Gracefully cope with custom substvars and -dbgsym packages
    (Closes: #1067711)
  * upgrade-checklist: Document `dh_installsystemduser` change
    (Closes: #1066025)

 -- Niels Thykier <niels@thykier.net>  Wed, 27 Mar 2024 15:56:10 +0100

debhelper (13.15.2) unstable; urgency=medium

  * autopkgtest: Remove reference d/compat triggering perl tests
  * dh_gencontrol: Fix inverted boolean logic causing warnings

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Mar 2024 07:00:11 +0100

debhelper (13.15.1) unstable; urgency=medium

  * Dh_Lib.pm: Fix field truncation in compat 14+
    (Closes: #1067508, #1067509)

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 18:18:29 +0100

debhelper (13.15) unstable; urgency=medium

  * d/changelog: Fix typo of Felix Geyer
  * dh_makeshlibs: Ensure t64:Provides is always provided (but
    sometimes empty)
  * Replace `d/compat` with a `X-DH-Compat` field in compat 14+.
    (Closes: #1021877)
  * Ensure values to --dbg-package and --link-doc are known packages
  * PROGRAMMING.md: Add a note about `dh_assistant`
  * Make it easier to re-bootstrap without `dwz` (and also `man-db`).
    This is a new build profile that build `debhelper` with fewer
    dependencies. Note that this profile causes `debhelper` to produce
    a different result in some cases. Packages built with this minimal
    version of debhelper should be rebuilt when bootstrapping is
    complete.
  * dh_shlibdeps: Use ${shlibs:Pre-Depends} for Essential packages
    in compat 14+.
  * dh_gencontrol: Automatically apply relationship substvars in
    compat 14+
  * Clearly document how to do filtering (which is via dh-exec)
    (Closes: #1065742)
  * Reject debhelper config files without a package prefix for
    multi-binary packages in compat 15. Starting in compat 14, it will
    now trigger a warning to have `debian/install` instead of
    `debian/package.install` when `debian/control` contains 2 or more
    binary packages. In compat 15, this is promoted to an error.  The
    main exceptions are files like `debian/changelog`, `debian/NEWS`,
    and `debian/copyright`, which are applied to all packages and can
    still be used without a prefix. (Closes: #1014537)
  * cmake.pm: Pass ASFLAGS as ASMFLAGS to cmake [c14] (Closes: #1036760)
  * meson.pm: Pass --auto-features=enabled in compat 14+
    (Closes: #1030011, #1062508)
  * Dh_Lib.pm: Simplify reset_perm_and_owner so it only works with int
    now. The only misbehaving call-sites where in debhelper itself
    according to codesearch.debian.net and were fixed as well.
  * Dh_Lib.pm: Bump perl version requirement to 5.28 (Closes: #1001403)
  * dh_makeshlibs: Skip directories known not to contain SONAMEs
    (Closes: #1063126)
  * Restructure debhelper upgrade compat checklist for compat 14 in an
    attempt to make it easier for consumers.

 -- Niels Thykier <niels@thykier.net>  Fri, 22 Mar 2024 15:25:39 +0100

debhelper (13.14.1ubuntu5) noble; urgency=medium

  * Revert dwz bootstrapping hacks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 04:50:27 +0000

debhelper (13.14.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 09:10:10 +0100

debhelper (13.14.1) unstable; urgency=medium

  * dh_makeshlibs: Correct the auto-detected package name
  * dh_makeshlibs: Use the "correct" package architecture definition

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 10:13:34 +0100

debhelper (13.14) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper-documentation.json: The pam change happened in c14
  * dh_assistant: Expose bug#950723 marker in
    list-guessed-dh-config-files
  * dh_installsystemduser: Add missing pkgfiles in DH NOOP promise
  * debhelper-documentation.json: Add dh_installsystemd files
  * debhelper-documentation.json: Add dh_installsystemduser files
  * d/changelog: Fix typo in a previous entry
  * dh_gencontrol: Avoid Static-Built-Using in -dbgsym packages
    (Closes: #1062960)
  * dh_makeshlibs: Improve handling of t64 transition support
    - The presence of the `X-Time64-Compat` now ensures that the
      `${t64:Provides}` substvar is always considered regardless
      of the package name.
    - Auto-detection is now extended to include t64-nss libraries
      (The detection regex is now: `m/^lib.*t64(?:-nss)?$/`)
    - The `${t64:Provides}` substvars now uses `${binary:Version}`
      instead of trying to guess the version. This works better
      for packages that manually set their own version via
      dpkg-gencontrol's -v option.

  [ Michael Hudson-Doyle ]
  * check the dpkg "features" to decide whether to emit t64:Provides

 -- Niels Thykier <niels@thykier.net>  Fri, 23 Feb 2024 08:40:03 +0000

debhelper (13.13ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 09:03:50 +0100

debhelper (13.13) unstable; urgency=medium

  * Add `debhelper-documentation` `debputy` plugin. This provides
    `debputy` with some files and file patterns for `debputy`'s
    new `debputy tool-support annotate-debian-directory`.
  * Revert "Dh_Lib.pm: Fix warning from `cp -n`"
    Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #1061610)

 -- Niels Thykier <niels@thykier.net>  Sat, 27 Jan 2024 21:17:00 +0100

debhelper (13.12ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jan 2024 07:14:27 +0100

debhelper (13.12) unstable; urgency=medium

  [ Steve Langasek ]
  * Add support for an 'X-Time64-Compat' field in debian/control to allow
    overriding of the auto-generated Provides: as necessary.
    Closes: #1059941.

  [ Niels Thykier ]
  * dh_assistant: Exit with code 2 when unknown hook targets are found
  * dh_assistant: Add the following new subcommands:
    - `supports COMMAND` can be used to programmatically check whether
      dh_assistant knows about `COMMAND`. It is a lot better than having
      to check versions or parse `--help` output.
    - `list-commands` can be used to determine all "debhelper commands"
       that will run from a source package (assuming no overrides and
       no add-on adds a non-standard sequence). This command has a
       text and a JSON output.
     - `list-guessed-dh-config-files` can be used to list all
       debhelper config and their related commands. The result
       involves a lot of guess work and will never be 100% reliable,
       which explains the `guessed` part of the command. The output
       is always JSON.
     - Add `restore-file-on-clean` with all its caveats. Use it with
       care for the few cases where it is useful.  (Closes: #1051184)
  * dh_assistant: Always parse Build-Depends for sequences. This
    would have prevented `detect-unknown-hook-targets` from reporting
    issues about hook targets related to add-ons if they were loaded
    via `Build-Depends`.
  * dh_assistant: `detect-unknown-hook-targets` now continues when
    add-ons loading fails. It will still exit with status 2 by
    default when this occurs as if it found an issue.
  * cmake.pm: Remove compat guard for `-DBUILD_TESTING:BOOL=off`
    on `nocheck`
  * Dh_Lib.pm: Fix warning from `cp -n`

  [ Jörg Mechnich ]
  * qmake6.pm: Add cross-compiling support (Closes: #1059209)

  [ David (Plasma) Paul ]
  * Add <pkg.debhelper.nonls> build profile (Closes: #1032816)

 -- Niels Thykier <niels@thykier.net>  Fri, 26 Jan 2024 21:41:09 +0100

debhelper (13.11.10ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jan 2024 09:36:57 +0100

debhelper (13.11.10) unstable; urgency=medium

  [ Luca Boccassi ]
  * dh_installsystemduser: fix daemon-reload of user instances

  [ Balint Reczey ]
  * dh_clean: Clean __pycache__ (Closes: #1048890)

  [ Gioele Barabucci ]
  * dh_installchangelogs: Generate separate binNMU changelog also
    under --no-trim (Closes: #1059395)

  [ Niels Thykier ]
  * dh_assistant: Add filename to `detect-hook-targets`
  * Dh_Lib.pm: Ensure `$_use_color` is always initialized first time
  * dh_assistant: Add detect-unknown-hook-targets subcommand

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Jan 2024 13:16:26 +0100

debhelper (13.11.9ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2023 13:04:09 +0100

debhelper (13.11.9) unstable; urgency=medium

  * Team upload.

  [ Chris Hofstaedtler ]
  * dh_installudev: install into /usr (Closes: #1058791)

  [ Helmut Grohne ]
  * dh_movetousr: also update links from canonical into aliased
    (Closes: #1056590) Thanks to Colin Watson for proposing and discussing.
    Thanks to Emilio Pozuelo Monfort for reviewing the change.
  * buildsystems: add qmake6 variant of the qmake buildsystem (Closes: #1057359)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 19 Dec 2023 11:28:16 +0100

debhelper (13.11.8ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Nov 2023 13:03:20 +0100

debhelper (13.11.8) unstable; urgency=medium

  * Team upload.

  * systemd helpers: install units to /usr.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 15 Nov 2023 09:10:26 +0100

debhelper (13.11.7ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 12:11:52 -0500

debhelper (13.11.7) unstable; urgency=medium

  * Team upload.

  [ Gioele Barabucci ]
  * Trim NEWS when trimming changelog (Closes: #1021607)

  [ Steve Langasek ]
  * dh_makeshlibs: add compatibility Provides: for 64-bit time_t transition.

  [ Helmut Grohne ]
  * add new helper and addon: movetousr

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 19 Oct 2023 20:13:43 +0200

debhelper (13.11.6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2023 17:31:37 +0200

debhelper (13.11.6) unstable; urgency=medium

  * Team upload.

  * systemd helpers: Support units below /usr (Closes: #1041159)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 28 Aug 2023 13:25:23 +0200

debhelper (13.11.5ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.
    - dh_strip: For a static archive, test if any .text sections are non-
      empty. Warn on empty archives.
    - objcopy/strip changed in 2.36.1, not keeping file attributes of the
      original file. Work around that in dh_strip to write to a temporary file
      and cat'ing this to the original file to keep the original attributes.
    - Imply '<!noudeb>' profile if not set on package type udeb.
    - dh_strip: Set a unique build-id before stripping files.
    - Allow dh_strip to be larger for the tests
    - Add awk dependency implied by empty .text section check
    - Fix restart behaviour of packages marked either
      + no-stop-on-upgrade or --no-restart-after-upgrade

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Aug 2023 00:52:09 +0200

debhelper (13.11.5) unstable; urgency=medium

  * Team upload.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #1028159)
  * Update on German translation of pages (Closes: #1028564)

  [ Tianon Gravi ]
  * Fix minor typo in DEB_BUILD_OPTIONS warning ("and but not" -> "but not")

  [ Niels Thykier ]
  * AddonAPI.pm: Correct method name in error message.
    Thanks to wferi@Github

  [ Diederik de Haas ]
  * dh_missing: Update link to PROGRAMMING.md.gz

  [ Helmut Grohne ]
  * cmake.pm: set -DBUILD_TESTING=OFF for nocheck builds

  [ Johannes Schauer Marin Rodrigues ]
  * autoscripts/postinst-init-tmpfiles: do not output to /dev/null to not hide error messages

  [ Simon McVittie ]
  * cmake.pm, meson.pm: Set DEB_PYTHON_INSTALL_LAYOUT=deb if not already set
    (Closes: #1043136)
  * buildsystems: Give XDG_RUNTIME_DIR spec-compliant u=rwx,og-rwx permissions
  * meson.pm: Disable Python byte-compilation if the Meson version is new enough
    (Closes: #1042398)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Aug 2023 21:07:54 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdebhelper-perl`.
